package com.adealink.weparty.webview.scheme

import com.adealink.weparty.webview.CommonWebViewClient
import com.adealink.weparty.webview.IWebView

fun CommonWebViewClient.registerCommonSchemeHandler(webView: IWebView) {
    addSchemeHandler(CloseWindowScheme(webView))
    addSchemeHandler(UserCancellationScheme(webView))
    addSchemeHandler(OpenNewPageScheme(webView))
    addSchemeHandler(PlaymateApplyScheme(webView))
}